# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'asserter/version'

Gem::Specification.new do |spec|
  spec.name          = 'asserter'
  spec.version       = Asserter::VERSION
  spec.authors       = ['Loic Kartono']
  spec.email         = ['kartono.loic@gmail.com']
  spec.summary       = 'Lightweight permissions asserter for Ruby applications'
  spec.description   = 'Lightweight permissions asserter for Ruby and Rails applications'
  spec.homepage      = 'https://github.com/wamland-team/asserter'
  spec.license       = 'MIT'

  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']
  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end

  spec.required_ruby_version = '>= 1.9.3'

  spec.add_development_dependency 'bundler', '~> 1.3'
  spec.add_development_dependency 'rake', '~> 11.3'
  spec.add_development_dependency 'rspec', '~> 3.5'
  spec.add_development_dependency 'rubocop', '~> 0.47.1'
end
